#! /bin/sh

# $Id: backup.sh,v 1.5 2002/06/17 21:23:31 anarcat Exp $

BACKUP_HOST=shall
BACKUP_USER=backup

args=`getopt p $*`

if [ $? != 0 ] ; then
	echo "Usage: $0 [-p] level fs [fs...]"
	exit 1
fi

set -- $args

for i
do
	case "$i"
	in
		-p)
			parallel='&';
			shift;;
		--)
			shift; break;;
	esac
done

level=$1; shift;

for i
do
	fs=$1; shift
	fsname=`basename $fs`
	if [ "X${fs}" = "X/" ] ; then
		fsname=root
	fi
	dmp_cmd="dump -${level}anu -f - ${fs}"
	ssh_cmd="ssh ${BACKUP_USER}@${BACKUP_HOST} ${fsname}_${level}.dmp"
	if [ "X${parallel}" = "X&" ] ; then
		$dmp_cmd | $ssh_cmd &
	else
		$dmp_cmd | $ssh_cmd;
	fi
done
